WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Add to Any Subscribe Button doesn't validate XHTML 1.0 Transitional (3 posts)

  1. monodistortion
    Member
    Posted 5 years ago #

    It seems like the Add to Any Subscribe widget causes my page to not validate for XHTML 1.0 transitional. The problem seems to be that widgets need to start with <li> and end with </li>.

    I edited my personal copy so you can see an example here:
    http://orrmarshall.com/wp/

    http://wordpress.org/extend/plugins/add-to-any-subscribe/

  2. micropat
    Member
    Posted 5 years ago #

    You're right about the Subscribe widget not validating because it's within a list without actually being a list item itself. Thanks for reporting.

    If all widget-ready themes use lists, this should be really easy to fix without messing up the validation of themes that don't use lists. If list items are not a standard element (or wrapper) for widgets, we're going to have to get crafty to make sure all valid themes continue to validate... just to give you some insight. :)

    Most likely you'll see a fix for your theme (and the standard WordPress theme) in the next release. Thanks again!

  3. monodistortion
    Member
    Posted 5 years ago #

    Version 0.9.3 looks good. I haven't played with widgets myself but it looks like the $before_widget and $after_widget did the trick.

Topic Closed

This topic has been closed to new replies.

About this Topic